<?php  
/*------------------------------------------------------------------------
# author    your name or company
# copyright Copyright © 2011 example.com. All rights reserved.
# @license  http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website   http://www.example.com
-------------------------------------------------------------------------*/

defined( '_JEXEC' ) or die; 

// variables
$app = JFactory::getApplication();
$doc = JFactory::getDocument(); 
$params = $app->getParams();
$pageclass = $params->get('pageclass_sfx');
$tpath = $this->baseurl.'/templates/'.$this->template;

// template params
$customTemplateColor = str_replace("#", "", $this->params->get('customTemplateColor'));
$customTemplateColor2 = str_replace("#", "", $this->params->get('customTemplateColor2'));
$customLogo = $this->params->get('customLogo');
$showSiteName = $this->params->get('showSiteName');

$this->setGenerator(null);

// load sheets and scripts
$doc->addStyleSheet($tpath.'/css/template.css.php?v=1.0.0'); 
$doc->addScript($tpath.'/js/modernizr.js'); // <- this script must be in the head

// unset scripts, put them into /js/template.js.php to minify http requests
unset($doc->_scripts[$this->baseurl.'/media/system/js/mootools-core.js']);
unset($doc->_scripts[$this->baseurl.'/media/system/js/core.js']);
unset($doc->_scripts[$this->baseurl.'/media/system/js/caption.js']);

?><!doctype html>
<!--[if IEMobile]><html class="iemobile" lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if lt IE 7]> <html class="no-js ie6 oldie" lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if IE 7]>    <html class="no-js ie7 oldie" lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8 oldie" lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if gt IE 8]><!-->  <html class="no-js" lang="<?php echo $this->language; ?>"> <!--<![endif]-->

<head>
  <script type="text/javascript" src="<?php echo $tpath.'/js/template.js.php'; ?>"></script>
  <jdoc:include type="head" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" /> <!-- mobile viewport -->
  
  <!--[if lte IE 8]>
    <style> 
      {behavior:url(<?php echo $tpath; ?>/js/PIE.htc);}
    </style>
  <![endif]-->  
  
  <style type="text/css">
  
	/* navbar */
  
	.navbar-inverse .navbar-inner {
		background-color: #1b1b1b;
		background-image: -moz-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#<?php echo $customTemplateColor; ?>), to(#<?php echo $customTemplateColor2; ?>));
		background-image: -webkit-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -o-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: linear-gradient(to bottom, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-repeat: repeat-x;
		border-color: #<?php echo $customTemplateColor2; ?>;
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff<?php echo $customTemplateColor; ?>', endColorstr='#ff<?php echo $customTemplateColor2; ?>', GradientType=0);
	}
	
	.navbar-inverse .nav .active > a,
	.navbar-inverse .nav .active > a:hover,
	.navbar-inverse .nav .active > a:focus {
		color: #ffffff;
		background-color: #<?php echo $customTemplateColor2; ?>;
	}
	
	.navbar-inverse .divider-vertical {
		border-right-color: #<?php echo $customTemplateColor; ?>;
		border-left-color: #<?php echo $customTemplateColor2; ?>;
	}
	
	.navbar-inverse .nav li.dropdown.open > .dropdown-toggle,
	.navbar-inverse .nav li.dropdown.active > .dropdown-toggle,
	.navbar-inverse .nav li.dropdown.open.active > .dropdown-toggle {
		color: #ffffff;
		background-color: #<?php echo $customTemplateColor2; ?>;
	}
	
	.navbar-inverse .navbar-search .search-query {
		color: #ffffff;
		background-color: #515151;
		border-color: #<?php echo $customTemplateColor2; ?>;
		-webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1), 0 1px 0 rgba(255, 255, 255, 0.15);
		-moz-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1), 0 1px 0 rgba(255, 255, 255, 0.15);
		box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1), 0 1px 0 rgba(255, 255, 255, 0.15);
		-webkit-transition: none;
		   -moz-transition: none;
		     -o-transition: none;
		        transition: none;
	}
	
	/* dropdown */
	
	.dropdown-menu > li > a:hover,
	.dropdown-menu > li > a:focus,
	.dropdown-submenu:hover > a,
	.dropdown-submenu:focus > a {
		color: #ffffff;
		text-decoration: none;
		background-color: #0081c2;
		background-image: -moz-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#<?php echo $customTemplateColor; ?>), to(#<?php echo $customTemplateColor2; ?>));
		background-image: -webkit-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -o-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: linear-gradient(to bottom, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-repeat: repeat-x;
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff<?php echo $customTemplateColor; ?>', endColorstr='#ff<?php echo $customTemplateColor2; ?>', GradientType=0);
	}

	.dropdown-menu > .active > a,
	.dropdown-menu > .active > a:hover,
	.dropdown-menu > .active > a:focus {
		color: #ffffff;
		text-decoration: none;
		background-color: #0081c2;
		background-image: -moz-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#<?php echo $customTemplateColor; ?>), to(#<?php echo $customTemplateColor2; ?>));
		background-image: -webkit-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -o-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: linear-gradient(to bottom, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-repeat: repeat-x;
		outline: 0;
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff<?php echo $customTemplateColor; ?>', endColorstr='#ff<?php echo $customTemplateColor2; ?>', GradientType=0);
	}
	
	/* button */
	
	.btn-primary {
		color: #ffffff;
		text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
		background-color: #<?php echo $customTemplateColor; ?>;
		*background-color: #<?php echo $customTemplateColor; ?>;
		background-image: -moz-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#<?php echo $customTemplateColor; ?>), to(#<?php echo $customTemplateColor2; ?>));
		background-image: -webkit-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -o-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: linear-gradient(to bottom, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-repeat: repeat-x;
		border-color: #<?php echo $customTemplateColor; ?> #<?php echo $customTemplateColor; ?> #<?php echo $customTemplateColor2; ?>;
		border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff<?php echo $customTemplateColor; ?>', endColorstr='#ff<?php echo $customTemplateColor2; ?>', GradientType=0);
		filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
	}
	
	.btn-primary:hover,
	.btn-primary:focus,
	.btn-primary:active,
	.btn-primary.active,
	.btn-primary.disabled,
	.btn-primary[disabled] {
		color: #ffffff;
		background-color: #<?php echo $customTemplateColor2; ?>;
		*background-color: #<?php echo $customTemplateColor2; ?>;
	}
	
	.navbar-inverse .btn-navbar {
		color: #ffffff;
		text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
		background-color: #<?php echo $customTemplateColor2; ?>;
		*background-color: #<?php echo $customTemplateColor2; ?>;
		background-image: -moz-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#<?php echo $customTemplateColor; ?>), to(#<?php echo $customTemplateColor2; ?>));
		background-image: -webkit-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -o-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: linear-gradient(to bottom, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-repeat: repeat-x;
		border-color: #<?php echo $customTemplateColor2; ?> #<?php echo $customTemplateColor2; ?> #000000;
		border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff<?php echo $customTemplateColor; ?>', endColorstr='#ff<?php echo $customTemplateColor2; ?>', GradientType=0);
		filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
	}

	.navbar-inverse .btn-navbar:hover,
	.navbar-inverse .btn-navbar:focus,
	.navbar-inverse .btn-navbar:active,
	.navbar-inverse .btn-navbar.active,
	.navbar-inverse .btn-navbar.disabled,
	.navbar-inverse .btn-navbar[disabled] {
		color: #ffffff;
		background-color: #<?php echo $customTemplateColor2; ?>;
		*background-color: #<?php echo $customTemplateColor2; ?>;
	}
	
	.navbar-inverse .nav-collapse .nav>li>a:hover,
	.navbar-inverse .nav-collapse .dropdown-menu a:hover {
		background-color: #<?php echo $customTemplateColor2; ?>;
	}
	
	/* component heading */
	
	.page-header h1,
	/*.page-header h2,*/
	.moduletable h3 {
		color: #fff;
		line-height: 2.6em;
		padding: 0 10px;
		margin: 10px 0;
		list-style:none;
		background-color: #<?php echo $customTemplateColor2; ?>;
		background-image: -moz-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#<?php echo $customTemplateColor; ?>), to(#<?php echo $customTemplateColor2; ?>));
		background-image: -webkit-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -o-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: linear-gradient(to bottom, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-repeat: repeat-x;
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff<?php echo $customTemplateColor; ?>', endColorstr='#ff<?php echo $customTemplateColor2; ?>', GradientType=0);
		-webkit-border-radius: 4px;
		   -moz-border-radius: 4px;
		        border-radius: 4px;
	}
	
	.breadcrumb {
		background-color: #<?php echo $customTemplateColor2; ?>;
		background-image: -moz-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#<?php echo $customTemplateColor; ?>), to(#<?php echo $customTemplateColor2; ?>));
		background-image: -webkit-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -o-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: linear-gradient(to bottom, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-repeat: repeat-x;
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff<?php echo $customTemplateColor; ?>', endColorstr='#ff<?php echo $customTemplateColor2; ?>', GradientType=0);
		-webkit-border-radius: 4px;
		   -moz-border-radius: 4px;
		        border-radius: 4px;
	}
	
	/* headline */
	
	h1, h2, h3, h4, h5, h6 {
		color: #<?php echo $customTemplateColor2; ?>;
	}
	
	/* link */
	
	a {
		color: #<?php echo $customTemplateColor2; ?>;
		text-decoration: none;
	}

	a:hover,
	a:focus {
		color: #<?php echo $customTemplateColor2; ?>;
		text-decoration: underline;
	}	
	
	/* custom styles */
	
	.footer {
		background-color: #<?php echo $customTemplateColor2; ?>;
		background-image: -moz-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#<?php echo $customTemplateColor; ?>), to(#<?php echo $customTemplateColor2; ?>));
		background-image: -webkit-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: -o-linear-gradient(top, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-image: linear-gradient(to bottom, #<?php echo $customTemplateColor; ?>, #<?php echo $customTemplateColor2; ?>);
		background-repeat: repeat-x;
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff<?php echo $customTemplateColor; ?>', endColorstr='#ff<?php echo $customTemplateColor2; ?>', GradientType=0);
	}
	
  </style>
</head>
	
<body class="<?php echo $pageclass; ?>">

  <div id="overall">
    <div id="header">
	  <div class="inheader container">
	  
		<!-- ***** head navigation ***** -->
	  
	  <!--div class="navbar navbar-inverse "-->
	    <div class="navbar navbar-inverse navbar-fixed-top">
          <div class="navbar-inner">
            <div class="container">
    
              <!-- .btn-navbar is used to toogle  collapsed navbar content -->
              <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
              </a>
     
              <!-- Be sure to leave the brand out there if you want it shown -->
			    <?php if($showSiteName == "yes") : ?>
			    	<a class="brand" href="<?php echo $this->baseurl; ?>/"><?php echo $app->getCfg('sitename'); ?></a>
			    <?php endif; ?>                
              
              <!-- Everything you want hidden at 940px or less, place within here -->
              <div class="nav-collapse">
                <div class="pull-left visible-desktop">
                  <jdoc:include type="modules" name="menu" />
                </div>
                <div class="insearch pull-right visible-desktop">
                  <jdoc:include type="modules" name="search" />
                </div>
                <div class="hidden-desktop">
                  <jdoc:include type="modules" name="menu" />
                  <jdoc:include type="modules" name="search" />
                </div>
              </div>       
            </div>
          </div>
        </div>
      </div>
	  
	  <!-- ***** logo ***** -->
	  <div class="container">
		<div class="logo">
		  <?php 
		  
			if($customLogo != "")
			{
				$logoUrl = $this->baseurl."/".$customLogo;
			}
			else
			{
				$logoUrl = $this->baseurl."/templates/".$this->template."/images/logo.jpg";
			}
			
		  ?>
		  
		  <a href="<?php echo $this->baseurl; ?>/" title="<?php echo $app->getCfg('sitename'); ?>">
			<img src="<?php echo $logoUrl; ?>" title="<?php echo $app->getCfg('sitename'); ?>" alt="Logo <?php echo $app->getCfg('sitename'); ?>">
		  </a>
        </div>
      </div>

	  <!-- ***** breadcrumb ***** -->
      <div class="container visible-desktop">
        <div class="row">
          <div class="span12">
            <jdoc:include type="modules" name="breadcrumbs" />
          </div>
        </div>
      </div>
	  
	  <div class="container">
        <div class="row">
          <div class="span12">
            <jdoc:include type="message" />
          </div>
        </div>
      </div>
	  
    </div><!-- end header -->
	
    <div id="main">
      <div class="inmain container">
        <div class="row">
		  <div id="left" class="span3">
			<div class="inleft">
              <jdoc:include type="modules" name="left" style="xhtml" />
            </div>
		  </div>
		  
		  <?php $spanSize = $this->countModules('right') ? 6 : 9; ?>		  
		  
          <div id="content" class="span<?php echo $spanSize; ?>">
            <div class="incontent">
              <jdoc:include type="component" />
            </div>
          </div>
		  
		  <?php if ($this->countModules('right')) : ?>
		  <div id="right" class="span3">
			<div class="inright">
              <jdoc:include type="modules" name="right" style="xhtml" />
            </div>
		  </div>
		  <?php endif; ?>
		  
        </div>
      </div>
    </div><!-- end main -->
	
    <!-- ***** footer ***** -->	
    <div class="container">
      <div class="row">
		<div class="span12">
		    <div class="footer">
		      Copyright &copy; <?php echo date('Y'); ?> - <?php echo $app->getCfg('sitename'); ?> - <?php /* Dieser Link darf NICHT entfernt werden! This link may NOT be removed! */ ?><a href="http://www.1sr.de/responsive-web-design-joomla-bootstrap-template.html" title="www.1sr.de" target="_blank">Template</a><?php /* Dieser Link darf NICHT entfernt werden! This link may NOT be removed! */ ?> by <?php /* Dieser Link darf NICHT entfernt werden! This link may NOT be removed! */ ?><a href="http://www.1sr.de" title="www.1sr.de" target="_blank">1sr</a><?php /* Dieser Link darf NICHT entfernt werden! This link may NOT be removed! */ ?>
		    </div>
		  </div>
      </div>
    </div>
  </div><!-- end overall -->
  <jdoc:include type="modules" name="debug" />
  
  <script type="text/javascript">
    (function($){   
      $(document).ready(function(){
        // dropdown
		
		$('.parent').addClass('dropdown');
        $('.parent > a').addClass('dropdown-toggle');
        $('.parent > a').attr('data-toggle', 'dropdown');
        $('.parent > a').append('<b class="caret"></b>');
        $('.parent > ul').addClass('dropdown-menu');

        /*
			// divider 
			$('<li class="divider"></li>').insertAfter('.item-105');
		*/
      });
    })(jQuery);
  </script>
  
  <script type="text/javascript">
    // fix bootstrap dropdown issue in mobile browsers
    
    $('a.dropdown-toggle, .dropdown-menu a').on('touchstart', function(e) { e.stopPropagation(); });
    $('body').on('touchstart.dropdown', '.dropdown-menu', function (e) { e.stopPropagation(); });
    
  </script>

  
</body>

</html>

